MSGFMT(1)

NAME
msgfmt - compile message catalogs

SYNOPSIS
msgfmt [OPTION] filename.po ...

DESCRIPTION
Generate binary message catalog from textual translation description.

Mandatory arguments to long options are mandatory for short options too.

-a, --alignment=NUMBER
    align strings to NUMBER bytes (default: 1)

-c, --check
    perform language dependent checks on strings

-D, --directory=DIRECTORY
    add DIRECTORY to list for input files search

-f, --use-fuzzy
    use fuzzy entries in output

-h, --help
    display a help message and exit

--no-hash
    binary file will not include the hash table

-o, --output-file=FILE
    specify output file name as FILE

--statistics
    print statistics about translations

--strict
    enable strict Uniforum mode

-v, --verbose
    list input file anomalies

-V, --version
    output version information and exit

Giving the -v option more than once increases the verbosity level.

If input file is -, standard input is read. If output file is -, output is written to standard output.

This package offers to programmers, translators and even users, a well integrated set of tools and documentation that provides a framework within which other free packages may produce multi-lingual messages.

AUTHOR
Written by Ulrich Drepper.

REPORTING BUGS
Report bugs to <bug-gnu-utils@gnu.org>.

COPYRIGHT
Copyright © 1995-1998, 2000, 2001 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
gettext(1), msgmerge(1), xgettext(1)

The full documentation for msgfmt is maintained as a Texinfo manual. If the info and msgfmt programs are properly installed at your site, the command info msgfmt should give you access to the complete manual.

On Debian, the manual is also available in HTML format in the gettext-doc package.